"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var EnableStageTransition_1 = require("../model/operations/EnableStageTransition");
var EnableStageTransitionCommand = /** @class */ (function () {
    function EnableStageTransitionCommand(input) {
        this.input = input;
        this.model = EnableStageTransition_1.EnableStageTransition;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    EnableStageTransitionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return EnableStageTransitionCommand;
}());
exports.EnableStageTransitionCommand = EnableStageTransitionCommand;
//# sourceMappingURL=EnableStageTransitionCommand.js.map