"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListActionExecutions_1 = require("../model/operations/ListActionExecutions");
var ListActionExecutionsCommand = /** @class */ (function () {
    function ListActionExecutionsCommand(input) {
        this.input = input;
        this.model = ListActionExecutions_1.ListActionExecutions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListActionExecutionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListActionExecutionsCommand;
}());
exports.ListActionExecutionsCommand = ListActionExecutionsCommand;
//# sourceMappingURL=ListActionExecutionsCommand.js.map