"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutWebhook_1 = require("../model/operations/PutWebhook");
var PutWebhookCommand = /** @class */ (function () {
    function PutWebhookCommand(input) {
        this.input = input;
        this.model = PutWebhook_1.PutWebhook;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutWebhookCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutWebhookCommand;
}());
exports.PutWebhookCommand = PutWebhookCommand;
//# sourceMappingURL=PutWebhookCommand.js.map