"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartPipelineExecution_1 = require("../model/operations/StartPipelineExecution");
var StartPipelineExecutionCommand = /** @class */ (function () {
    function StartPipelineExecutionCommand(input) {
        this.input = input;
        this.model = StartPipelineExecution_1.StartPipelineExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartPipelineExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartPipelineExecutionCommand;
}());
exports.StartPipelineExecutionCommand = StartPipelineExecutionCommand;
//# sourceMappingURL=StartPipelineExecutionCommand.js.map